<?php
// DIC configuration

$container = $app->getContainer();

// monolog
$container['logger'] = function ($c) {
    $logger = new \Monolog\Logger('my_logger');
    $file_handler = new \Monolog\Handler\RotatingFileHandler('../logs/app.log');
    $logger->pushHandler($file_handler);
    return $logger;
};

// monolog
$container['accesslog'] = function ($c) {
    $logger = new \Monolog\Logger('access_log');
    $file_handler = new \Monolog\Handler\RotatingFileHandler('../logs/access.log', 0, \Monolog\Logger::DEBUG);
    $logger->pushHandler($file_handler);
    return $logger;
};

$container['env_values'] = function ($c) {
    $a = [];
    $a['MY_SECRET'] = 'MF3zMlzjnE9EqmDI1ke02CzBXVCdUS';
    $a['APIKEY'] = '2644616F1F79D2313DA7D9A52B73E';
    $a['PRINCIPAL_EMAIL'] = 'sanjibsb@gmail.com';
    $a['PRINCIPAL_APIKEY'] = 'A16BFD1B834C7C267AD2E7F174891';
    $a['ADMIN_API_KEY'] = 'b4cdf5f7c78a65485ebf912108ef4cac';
    $a['SUPER_ADMIN_API_KEY'] = 'bde9e5d4758aba772950d116c2d92042';
    $a['STUDENT_API_KEY'] = '17D2BAA67A8636BC222A5BADAB36E55974DD9751DC3CB73916B3B9944E';
    $a['FACULTY_API_KEY'] = 'CFFB77C9B42CCB16A238AD63CBA1DA1B28E571C';
    $a['WEB_PUSH_APP_CODE'] = '01RCRR5WYUMCKK4Y1MYC4P2TYHXUTU';
    return $a;
};


/* A578928F6CAB53551E8F565E6CCACE25A54E7C7 */





